#include "XAudioWave.h"
#include "XAudioVorbis.h"

// f[^ t[yf Futta Music 
// http://music.futta.net/

int main()
{
	// WaveĐ
	XAudioWave* pXAudioWave = new XAudioWave();

	printf( "Play wave\n" );
	pXAudioWave->Load( "test.wav" );
	pXAudioWave->Play( -1 );
	Sleep( 5000 );

	printf( "Change Volume\n" );
	pXAudioWave->SetVolume( 2 );
	Sleep( 5000 );

	printf( "Fade\n" );
	pXAudioWave->Fade( 5000, 1.0f, 0.0f );
	Sleep( 5000 );

	pXAudioWave->Stop();

	delete pXAudioWave;

	// OggĐ
	XAudioVorbis* pXAudioVorbis = new XAudioVorbis();

	printf( "Play vorbis\n" );
	pXAudioVorbis->Load( "test.ogg" );
	pXAudioVorbis->Play( -1 );
	Sleep( 5000 );

	printf( "Change Volume\n" );
	pXAudioVorbis->SetVolume( 2 );
	Sleep( 5000 );

	printf( "Fade\n" );
	pXAudioVorbis->Fade( 5000, 1.0f, 0.0f );
	Sleep( 5000 );

	pXAudioVorbis->Stop();

	delete pXAudioVorbis;

	XAudio::Release();

	return 0;
}
